
Redmine - Feature #3170

Autocomplete issue relations on subject

2009-04-14 20:00 - Brad Beattie

Status: Closed Start date: 2009-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution:    

Description

Autocomplete exists in member selection at the moment. It would be nice to expand that functionality to issue relation selection as

well.

The attached patch doesn't work, but provides an initial starting point to work from.

Related issues:

Related to Redmine - Feature #4382: [Refactor] Move autocomplete methods to a... New 2009-12-11

Has duplicate Redmine - Feature #3399: List filtered issues when adding relat... Closed 2009-05-20

Has duplicate Redmine - Feature #5048: Issue List of the selected project, wh... Closed 2010-03-11

Associated revisions

Revision 4502 - 2010-12-12 17:04 - Jean-Philippe Lang

Autocomplete issue relations on subject (#3170).

History

#1 - 2010-03-09 10:50 - Paulo Santos

+1

#2 - 2010-05-14 13:06 - Felix Schäfer

- File AutocompleteForRelatedIssues.patch added

- Tracker changed from Feature to Patch

- Category changed from Issues to UI

- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

Patch against r3709 to enable the autocomplete feature from the new subtasks view on the related issue field. The patch also makes sure to only

return the issues from the project if no cross-project relations are allowed or all issues if it is.

Eric Hulser: I included tests, though it is more of a guess-work from the surrounding tests than real knowledge, and I haven't run them…

#3 - 2010-05-17 11:28 - Daniel N

+1 This would save lots of time spent in "tabbed browsing" for related issues and help users make use the related issues feature. At the moment

finding related issues is not very comfortable.

#4 - 2010-06-30 03:06 - Eric Davis

- Target version changed from 1.0.0 (RC) to 1.1.0

Pushing to 1.1. I think #4382 needs to be done first before too much code is added to the existing autocompletes.

#5 - 2010-10-25 17:01 - Eric Davis

- Assignee deleted (Eric Davis)

#6 - 2010-12-12 16:56 - Jean-Philippe Lang

- Tracker changed from Patch to Feature
https://www.redmine.org/projects/redmine/repository/svn/revisions/3709
https://www.redmine.org/users/6498
https://www.redmine.org/issues/4382


- Status changed from New to Closed

Patch updated to work with AutoCompletesController and committed in r4502.

Files

patch.txt 1.99 KB 2009-04-14 Brad Beattie

AutocompleteForRelatedIssues.patch 4.2 KB 2010-05-14 Felix Schäfer

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/4502
http://www.tcpdf.org

